Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417558 - When editing the storage domain, 'use managed gluster volume' checkbox gets unchecked
Summary: When editing the storage domain, 'use managed gluster volume' checkbox gets u...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.5
: 4.1.5.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-3
TreeView+ depends on / blocked
 
Reported: 2017-01-30 09:29 UTC by SATHEESARAN
Modified: 2017-08-23 08:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-23 08:03:11 UTC
oVirt Team: Gluster
sabose: ovirt-4.1?
sbonazzo: exception?
sasundar: planning_ack?
sabose: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screenshot showing 'use managed gluster volume' not checked (43.95 KB, image/png)
2017-01-30 09:34 UTC, SATHEESARAN
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 78245 0 master MERGED webadmin: readonly managed gluster volume checkbox 2020-11-05 08:56:44 UTC
oVirt gerrit 80437 0 ovirt-engine-4.1 MERGED webadmin: readonly managed gluster volume checkbox 2020-11-05 08:56:26 UTC

Description SATHEESARAN 2017-01-30 09:29:35 UTC
Description of problem:
-----------------------
While create a new data domain backed with gluster volume, I have chosen to use the gluster volume managed in that cluster by checking the option - 'use managed gluster volume'. After the domain creation, while editing the storage domain, I found that this checkbox is unchecked, which makes me confused whether I have checked it or not.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
oVirt Engine Version: 4.1.0.3-0.0

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a cluster with virt + gluster capability enabled
2. Add 3 nodes and create a replica 3 volume, optimize for virt store
3. Now create a new gluster data domain and select 'use managed gluster volume' which will the list the gluster volumes managed in that cluster
4. Choose a gluster volume from the dropdown list
5. Complete creation of data domain
6. Edit the storage domain by selecting 'manage domain' tab after selecting that storage domain

Actual results:
---------------
'use managed gluster volume' checkbox is unchecked

Expected results:
-----------------
'use managed gluster volume' checkbox should be checked as I have chosen for using the gluster volume managed in the cluster


Additional info:

Comment 1 SATHEESARAN 2017-01-30 09:34:05 UTC
Created attachment 1245805 [details]
screenshot showing 'use managed gluster volume' not checked

Comment 2 Sahina Bose 2017-06-16 12:46:22 UTC
I see that the Manage gluster volume checkbox is selected on edit. 
However the checkbox is editable - which will be fixed. Retargeting as this is a low sev bug

Comment 3 SATHEESARAN 2017-08-21 11:58:07 UTC
Tested with RHV 4.1.5.2

'Use Managed Gluster volume' is not editable


Note You need to log in before you can comment on or make changes to this bug.